Package Details: ympd-git 1.3.0.r55.g612f8fc-1

Git Clone URL: https://aur.archlinux.org/ympd-git.git (read-only, click to copy)
Package Base: ympd-git
Description: A standalone MPD Web GUI
Upstream URL: http://www.ympd.org
Licenses: GPL2
Conflicts: ympd
Provides: ympd
Submitter: phmongeau
Maintainer: cippaciong
Last Packager: cippaciong
Votes: 9
Popularity: 0.000000
First Submitted: 2014-01-21 01:56
Last Updated: 2020-07-10 06:32

Latest Comments

1 2 3 Next › Last »

cippaciong commented on 2020-07-10 06:36

I have updated the PKGBUILD to manually apply the patch included in PR 191 which should at least fix the compile issues.

cippaciong commented on 2020-05-24 20:40

@fvdb06: looks like an upstream issue https://github.com/notandy/ympd/issues/190. Regarding your attempt to install ympd-git.tar.gz, that is not an arch package you can install with pacman, it's just an archive containing the files to build the actual package.

fvdb06 commented on 2020-05-24 17:16

And installing with # yay ympd resylt in:

Scanning dependencies of target ympd [ 40%] Building C object CMakeFiles/ympd.dir/src/ympd.c.o [ 50%] Building C object CMakeFiles/ympd.dir/src/mpd_client.c.o [ 60%] Building C object CMakeFiles/ympd.dir/src/mongoose.c.o [ 70%] Building C object CMakeFiles/ympd.dir/src/json_encode.c.o [ 80%] Building C object CMakeFiles/ympd.dir/src/http_server.c.o [ 90%] Building C object CMakeFiles/ympd.dir/assets.c.o [100%] Linking C executable ympd /usr/bin/ld: CMakeFiles/ympd.dir/src/mpd_client.c.o:(.bss+0x0): multiple definition of `mpd'; CMakeFiles/ympd.dir/src/ympd.c.o:(.bss+0x0): first defined here collect2: error: ld returned 1 exit status make[2]: [CMakeFiles/ympd.dir/build.make:205: ympd] Error 1 make[1]: [CMakeFiles/Makefile2:98: CMakeFiles/ympd.dir/all] Error 2 make: *** [Makefile:150: all] Error 2 ==> ERROR: A failure occurred in build(). Aborting... Error making: ympd

fvdb06 commented on 2020-05-24 17:15

Last error was installed with # makepkg -si

I also tried direct with pacman -U with result:

sudo pacman -U ympd-git.tar.gz

[sudo] password for cantara: loading packages... error: missing package metadata in ympd-git.tar.gz error: 'ympd-git.tar.gz': invalid or corrupted package

fvdb06 commented on 2020-05-24 16:24

[ 70%] Building C object CMakeFiles/ympd.dir/src/json_encode.c.o [ 80%] Building C object CMakeFiles/ympd.dir/src/http_server.c.o [ 90%] Building C object CMakeFiles/ympd.dir/assets.c.o [100%] Linking C executable ympd /usr/bin/ld: CMakeFiles/ympd.dir/src/mpd_client.c.o:(.bss+0x20): multiple definition of mpd'; CMakeFiles/ympd.dir/src/ympd.c.o:(.bss+0x40): first defined here /usr/bin/ld: CMakeFiles/ympd.dir/src/mpd_client.c.o:(.bss+0x0): multiple definition ofdirble_api_token'; CMakeFiles/ympd.dir/src/ympd.c.o:(.bss+0x10): first defined here collect2: error: ld returned 1 exit status make[2]: [CMakeFiles/ympd.dir/build.make:206: ympd] Error 1 make[1]: [CMakeFiles/Makefile2:98: CMakeFiles/ympd.dir/all] Error 2 make: *** [Makefile:150: all] Error 2 ==> ERROR: A failure occurred in build(). Aborting...

cippaciong commented on 2016-02-20 09:38

@m45t3r: I have adopted and updated the package, it should be compliant with pacman 5 now.
Cheers!

m45t3r commented on 2016-02-16 19:41

Since pacman 5, install can't be a array anymore.

Needs to remove () around "${_pkgname}.install" (line 16).

Fadel commented on 2015-12-09 15:11

@phmongeau: The `ympd.install` file has (what I believe to be) a typo in the warning message:

"WARNING: ympd config file /etc/cond.d/ympd should be moved to /etc/default/ympd"

(the typo is in /etc/cond.d/ympd).

Best,

phmongeau commented on 2015-05-02 20:10

ajs124: I'm not sure what's the best way to handle this, but I guess this should work. Please tell me if there's a better way.

Thanks

ajs124 commented on 2015-05-01 23:25

https://github.com/jpleau/ympd/commit/5abfdfda7b2c9fac25dd2db7115a3796a15c8eb9
Seems like the path of the EnvironmentFile changed, maybe you should write a .install file for the next release.